<div *ngIf="lecture != undefined">
  <div [ngStyle]="{background: checkLectureType()}" class="element">
    <p class="head">{{lecture.type}}, {{lecture.name}}</p>
    <p class="lecturer">{{lecture.lecturer?.name}} {{lecture.lecturer?.surname}}</p>
    <p class="room"><mat-icon aria-hidden="false" aria-label="Example home icon">meeting_room</mat-icon> {{lecture.classroom?.name}}</p>
    <mat-icon aria-hidden="false" aria-label="Example home icon">groups</mat-icon><span *ngFor="let group of lecture.groups"> {{group.name}}, </span>
  </div>
</div>

